CREATE TABLE IF NOT EXISTS "cpu" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "load" INTEGER,
  "created" TEXT
);

CREATE TABLE IF NOT EXISTS "disk" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "read_count" INTEGER,
  "write_count" INTEGER,
  "read_bytes" INTEGER,
  "write_bytes" INTEGER,
  "read_time" INTEGER,
  "write_time" INTEGER,
  "created" TEXT
);

CREATE TABLE IF NOT EXISTS "load" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "one" INTEGER,
  "five" INTEGER,
  "fifteen" INTEGER,
  "created" TEXT
);

CREATE TABLE IF NOT EXISTS "mem" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "virtual" INTEGER,
  "swap" INTEGER,
  "created" TEXT
);

CREATE TABLE IF NOT EXISTS "net" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "up" INTEGER,
  "down" INTEGER,
  "total_up" INTEGER,
  "total_down" INTEGER,
  "down_packets" INTEGER,
  "up_packets" INTEGER,
  "created" TEXT
);

CREATE TABLE IF NOT EXISTS "pros" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "total" INTEGER,
  "running" INTEGER,
  "blocked" INTEGER,
  "created" TEXT
);