#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
base_path=$(cd `dirname $0`; pwd)
base_url="http://treepanel.oss-cn-shenzhen.aliyuncs.com"
os=$1
action=$2
name=$3
version=$4
if [ ! -f "${base_path}/${os}" ];then
    mkdir -p ${base_path}/${os}
fi
curl -o ${base_path}/${os}/public.sh ${base_url}/update/install/${os}/public.sh
. ${base_path}/${os}/public.sh
curl -o ${base_path}/${os}/lib.sh ${base_url}/update/install/${os}/lib.sh
sh ${base_path}/${os}/lib.sh
curl -o ${base_path}/${os}/${name}.sh ${base_url}/update/install/${os}/${name}.sh
sh ${base_path}/${os}/${name}.sh ${action} ${version}
chmod -R 775 ${base_path}/${os}/*
chown -R root:admin ${base_path}/${os}/*