#! /bin/sh
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
BIN=$(dirname $0)
NAME="treeupdate"
MORE=$*
case "$1" in
    remote)
        echo "Update ... "

        ${BIN}/${NAME} ${MORE} &

        if [ "$?" != 0 ] ; then
            echo "$? failed"
            exit 1
        else
            echo " done"
        fi
        ;;

    local)
        echo "Update ... "

        ${BIN}/${NAME} ${MORE} &

        if [ "$?" != 0 ] ; then
            echo "$? failed"
            exit 1
        else
            echo " done"
        fi
        ;;

    *)
        echo "Usage: $0 {remote|local}"
        exit 1
        ;;
esac