# TreePanel 运维面板

TreePanel是免费的跨平台服务器运维面板，响应式Web面板支持桌面端、移动端、Pad端等主流浏览器访问随时随地都可以查看服务端运行状态，丰富的软件插件，满足您多样化的需求，让您的服务器不再仅仅是Web服务器。

    TreePanel开发纯属个人爱好，还有很多问题，远远不够完美，但会持续维护并解决。

> 2019/08/15 1.0.0 Beta版 发布 ! [项目主页](https://www.payplay.cn/?module=index&code=tree&op=panel).

> 个人主页(https://www.payplay.cn)

## 支持平台
### macOS
##### 已支持 Sierra、High Sierra、Mojave以及上系统
    
### Linux
##### 已支持 CentOS 7以及上系统
    更多 CentOS、Ubuntu、Debian、Fedora、Deepin 正在测试中
    
### Windows
##### 已支持 Windows 2008
    更多 Windows2012、2016、2019 正在测试中
   
## 1.0.0 功能特性

### 1、网站管理
    网站管理：创建、编辑、删除、备份
    创建站点：可同时创建SFTP与数据库
    编辑站点：域名管理、网站目录、流量限制、防盗链、图片缓存、资源缓存、SSL证书、伪静态、重定向、
            方向代理、配置动态生成/编辑、响应日志
    站点备份：创建、删除、下载
    站点服务：Nginx/Apache快捷启动、停止
### 2、SFTP管理
    SFTP管理：创建、编辑、删除
    SFTP账户：快捷启动/停用、限制授权目录
    SFTP服务：快捷启动/停止、端口修改、同步账户
### 3、数据库管理
    数据库管理：创建、编辑、删除、备份
    数据库工具：修复、优化、转换
    数据库备份：创建、删除、下载
    数据库服务：快捷启动、停止、端口修改、同步账户、修改ROOT密码
### 4、系统监控
    负载：每1分钟、每5分钟、每15分钟
    CPU：CPU负载
    内存：物理、交换
    磁盘：读取、写入
    网路：上行、下载
    监控服务：快捷启动、停止、保存天数、清空记录
### 5、软件插件
    软件管理：安装、卸载、升级、版本切换、服务状态管理
    软件分类：运行环境、官方插件、系统工具、其他应用
    运行环境：已支持TreeSFTP、Nginx、Apache、MySQL、PHP5.3-7.3、Redis、Memcached、phpMyAdmin
    官方插件：已支持TreeServant(运行环境辅助管理)
    系统工具：已支持TreeUpdate(面板升级检测工具)
    更多软件以及插件将陆续更新
### 6、文件管理
    文件管理：上传、下载、创建、编辑、删除、权限、移动、复制、压缩、解压、远程下载
    文件编辑：文件内容格式高亮、编辑器主题设置
### 7、远程终端
    在线 SSH 终端连接
### 8、任务管理
    计划任务：可按周期添加执行，支持Shell脚本、目录备份、站点备份、数据库备份、访问URL
    在线任务：实时Shell脚本、远程下载、目录备份、站点备份、数据库备份等任务管理
    备份管理：网站、数据库、目录备份文件管理
### 9、系统安全
    放行端口：TCP/UDP端口的添加、删除，同步操作
    屏蔽IP:添加、删除
### 10、运行日志
    操作日志：记录面板操作行为按常规、执行、消息、警告、高危分类
    面板日志：面板运行记录
### 11、系统设置
    面板设置：面板别名、超时时间、安全入口等设置
    用户管理：创建、编辑、删除
    SSL证书：创建、编辑、部署、删除
    重定向：创建、编辑、删除
    反向代理：创建、编辑、删除
    系统信息：服务器基础信息
    更新历史：面板更新信息
    高级设置：主机地址、端口、中间件配置管理


## 安全漏洞

如果你发现在 TreePanel 存在安全漏洞，请发送电子邮件至 [15260209869@qq.com](mailto:15260209869@qq.com)，所有安全漏洞都会被及时解决。

## 关于Tree

"TreePanel" 来自于我免费软件开发计划 "Tree" 中的一个分支

"Tree" 是我着手计划开发的一系列免费、简单、实用的软件产品与工具集。每一个小功能的搭建，就如吐露一枝新芽，经过时间洗礼与沉淀，慢慢撑开一树枝繁叶茂。

## 关于我

作者：林淦鑫渝

主页：https://www.payplay.cn

工作/外包邀约

联系电话：15260209869

联系邮箱：15260209869@qq.com

## 参考或者使用了以下开源项目的代码

前端：Vue、ElementUI

后端：Iris、gotty、gopsutil、xorm

## 授权协议

MIT